curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true,
"suite": "commercial",
"can_delete": true
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}List all teams
List all teams available in the current account. With settings=true, returns the teams the caller may manage in settings (suite-scoped when applicable) and includes suite and can_delete on each row.
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true,
"suite": "commercial",
"can_delete": true
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
When true, list teams for the settings screen (suite-scoped for delegated managers) and include suite and can_delete.
Response
Success
The ID of the team
The name of the team
The description about the team
If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
The ID of the account with the team is a part of
This field shows whether the current user is a part of the team
Suite that owns the team. Present on create/update responses and when listing or showing with settings=true. Set by the server for suite-scoped managers; not accepted on create/update.
commercial, service, administrative Settings list only (settings=true). Whether the current user may delete this team.
Was this page helpful?